/*********************************************/
/*  ARM Device Driver Header Program    */
/*********************************************/

#define ARM_MAJOR 63
#define LEN 1
#define LINECOUNT 1

#define ARM_PORT_READ 0x0160
#define ARM_PORT_MASK 0x0162

#define ARM_IOC_MAGIC 'i'
#define ARM_ON      _IOR(ARM_IOC_MAGIC, 0,setcode)
#define ARM_OFF     _IOR(ARM_IOC_MAGIC, 1,setcode)
#define ARM_STOP	_IOR(ARM_IOC_MAGIC, 2,setcode)
#define ARM_HARDRESET  _IO(ARM_IOC_MAGIC,  3)
#define LCD_IOC_MAXNR 3


static int arm_detect(unsigned int, unsigned int );
static void arm_module_release(unsigned int,unsigned int );

static int linecount;
/*static char it[LEN];*/






