/*********************************************/
/*  IRS & TS Device Driver Header Program    */
/*********************************************/

#define IRS_MAJOR 62 
#define LEN 13
#define LINECOUNT 1

#define IRS_PORT_READ 0x0150
#define IRS_PORT_WRITE 0x0152
#define IRS_RANGE 2

//#define IRS_IOC_MAGIC 'i'
//#define IRS_ONE         _IOR(IRS_IOC_MAGIC, 0,setcode)
//#define IRS_TWO        _IOR(IRS_IOC_MAGIC, 1,setcode)
//#define IRS_TS_HARDRESET _IO(IRS_IOC_MAGIC,  2)
//#define LCD_IOC_MAXNR 3


static int irs_detect(unsigned int, unsigned int );
static char *irs_module_read(int);
static void irs_module_release(unsigned int,unsigned int );

static char it[LEN];
static int linecount;

