/*********************************************/
/*       IRS Test Program          */
/*********************************************/

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <string.h>
#include <unistd.h>

#include "irs.h"

int main(void){
  int irs,a,setcode = 16,first,second,i,it[6],*ti;
  char dat[13],*data,buf[1];

while(1){

  data = dat;
  ti = it;

  irs=open("/dev/irs",O_RDONLY);
  if(irs<0){
     fprintf(stderr,"Cannot Open IRS-Device-Driver.\n");
     return 1;
  }

  printf("Select IRS test number.\n");
  printf("   0:write irs1 \n   1:write irs2 \n");
  printf("   3:End of IRS device driver test \n\n");

  scanf("%d",&first);
  printf("\n");

  switch(first){
  case 0 : 
    ioctl(irs,1,&a);
    break;
  case 1:
    ioctl(irs,2,&a);
    break;
  case 3:
    goto irs_end;

  default :
    printf("This number is not found.\n\n");
    break;
	
  }
 
	usleep(1000000);
	ioctl(irs,10,data);
	data = data + 5;
	for(i=1;i<6;i++){
	  printf(" POST%d = %c\n",i,*data);
	  data --;
	}

  close(irs);
}
  irs_end:printf("IRS device driver test end. Good bye!!\n\n");
  close(irs);
  return 0;
}
