/*********************************************/
/*  LS & TS Device Driver Header Program    */
/*********************************************/

#define LS_TS_MAJOR 61
#define LEN 13
#define LINECOUNT 1

#define LS_TS_PORT_READ 0x0140
#define LS_TS_PORT_MASK 0x0142

#define LS_TS_IOC_MAGIC 'i'
#define LS_READ         _IOR(LS_TS_IOC_MAGIC, 0,setcode)
#define TS_READ          _IOR(LS_TS_IOC_MAGIC, 1,setcode)
#define PO_READ          _IOR(LS_TS_IOC_MAGIC, 2,setcode)
#define LS_TS_HARDRESET _IO(LS_TS_IOC_MAGIC,  3)
#define LCD_IOC_MAXNR 3


static int ls_ts_detect(unsigned int, unsigned int );
static char *ls_ts_module_read(int);
static void ls_ts_module_release(unsigned int,unsigned int );

static char it[LEN];
static int linecount;
