/*********************************************/
/*       LS & TS & PO Test Program          */
/*********************************************/

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <string.h>
#include <unistd.h>

#include "ls_ts.h"

static char *sel[]={"Select Number = "};
static char *msg[]={"If the value is '1',the sensor is ON.",
                    "If the value is '0',the sensor is OFF."};

int main(void){
  int fd,setcode = 16,flst,second,i,it[6],*ti;
  char dat[13],*data,buf[1];

  printf("\nStart test of LS & TS!\n\n");

while(1){

  data = dat;
  ti = it;

  fd=open("/dev/ls_ts",O_RDONLY);
  if(fd<0){
     fprintf(stderr,"Cannot Open LS & TS-Device-Driver.\n");
     return 1;
  }

  printf("Select LS & TS test number.\n");
  printf("   0:READ-method test \n   1:IOCTL-method test \n");
  printf("   2:End of LS & TS device driver test \n\n");

  printf("%s",sel[0]);
  scanf("%d",&flst);
  printf("\n");

  switch(flst){
     case 0 :
        printf("<<Start READ-method test>>\n\n");
        printf("%s\n",msg[0]);
        printf("%s\n\n",msg[1]);
	read(fd,data,13);
        for(i=0;i<4;i++){
	   printf("   LS[%d] = %c\n",i,*data);
	   data++;
        }
        for(i=0;i<1;i++){
	   printf("   TS [%d] = %c\n",i,*data);
	   data++;
        }
	printf("   PO     = %c\n",*data);
        printf("\nLS & TS device driver Open.\n");
	break;

     case 1 : 
        do{
           printf("<<Start IOCTL-method test>>\n");
           printf("   0:LS_READ    1:TS_READ \n");
           printf("   2:PO_READ     3:End of IOCTL-method test \n\n");

           printf("%s",sel[0]);
           scanf("%d",&second);
           printf("\n");

           switch(second){
              case 0 :
	         printf("LS_READ was selected.\n\n");
                 printf("%s\n",msg[0]);
                 printf("%s\n\n",msg[1]);
                 ioctl(fd,LS_READ,data);
                 for(i=0;i<4;i++){
	   	    printf("   LS[%d] = %c\n",i,*data);
	   	    data ++;
        	 }
	         data = dat;
		 printf("\n");
                 break;

              case 1 :
	         printf("TS_READ was selected.\n\n");
                 printf("%s\n",msg[0]);
                 printf("%s\n\n",msg[1]);
	         ioctl(fd,TS_READ,data);
                 for(i=0;i<1;i++){
	   	    printf("   TS[%d] = %c\n",i,*data);
	   	    data++;
        	 }
		 data = dat;
		 printf("\n");
	         break;

              case 2 :
	         printf("POWER_ON was selected.\n\n");
	         ioctl(fd,PO_READ,data);
                 printf("%s\n",msg[0]);
                 printf("%s\n\n",msg[1]);
	   	 printf("   data = %c\n",*data);
		 printf("\n");
		 break;

	      case 3 :
	         goto ioctlend;

              default :
		 printf("This number is not found.\n");
	         break;
           }
           printf("IOCTL-method test again?[y/n]=");
           scanf("%s",buf);
           printf("\n\n");
        }while(buf[0] != 'n');
        ioctlend: ;
        break;

     case 2:
	goto ls_tsend;

     default :
	printf("This number is not found.\n\n");
        break;

  }
  close(fd);
}
  ls_tsend:printf("LS & TS device driver test end. Good bye!!\n\n");
  close(fd);
  return 0;
}





